Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.map
Class EntityInheritanceTree

    java.lang.Object
      org.objectstyle.cayenne.map.EntityInheritanceTree

    public class EntityInheritanceTree

extends java.lang.Object

A tree structure representing inheritance hierarchy of an ObjEntity and its subentities.

Since:
  1.1
Author:
  Andrus Adamchik

Field Summary
`protected ObjEntity` | `entity`
`protected Expression` | `normalizedQualifier`
`protected java.util.Collection` | `subentities`

Constructor Summary
`EntityInheritanceTree(ObjEntity entity)`

Method Summary
`void` | `addChildNode(EntityInheritanceTree node)`
`java.util.Collection` | `allAttributes()`
`java.util.Collection` | `allRelationships()`
`protected void` | `appendDeclaredAttributes(java.util.Collection c)`
`protected void` | `appendDeclaredRelationships(java.util.Collection c)`
`ObjEntity` | `entityMatchingRow(DataRow row)` Returns the deepest possible entity in the inheritance hierarchy that can be used to create objects from a given DataRow.
`java.util.Collection` | `getChildren()`
`int` | `getChildrenCount()`
`ObjEntity` | `getEntity()`
`Expression` | `qualifierForEntityAndSubclasses()` Returns a qualifier Expression that matches root entity of this tree and all its subentities.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entity

    protected ObjEntity entity

### subentities

    protected java.util.Collection subentities

### normalizedQualifier

    protected Expression normalizedQualifier

Constructor Detail

### EntityInheritanceTree

    public EntityInheritanceTree(ObjEntity entity)

Method Detail

### qualifierForEntityAndSubclasses

    public Expression qualifierForEntityAndSubclasses()

  Returns a qualifier Expression that matches root entity of this tree and all its subentities.

### entityMatchingRow

    public ObjEntity entityMatchingRow(DataRow row)

  Returns the deepest possible entity in the inheritance hierarchy that can be used to create objects from a given DataRow.

### addChildNode

    public void addChildNode(EntityInheritanceTree node)

### getChildrenCount

    public int getChildrenCount()

### getChildren

    public java.util.Collection getChildren()

### getEntity

    public ObjEntity getEntity()

### allAttributes

    public java.util.Collection allAttributes()

### allRelationships

    public java.util.Collection allRelationships()

### appendDeclaredAttributes

    protected void appendDeclaredAttributes(java.util.Collection c)

### appendDeclaredRelationships

    protected void appendDeclaredRelationships(java.util.Collection c)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.